Group

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский
This page is a duplicate of Std CreateGroup and Std_Group.

Group.svg Group

Menu location
ComboView → Document node → Create group...
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Empty group.png

Description

Group is a way to organize objects in the document. Objects inside the group can be turn on or off by changing Visibility of the group. Groups can be nested, e.g. other groups can be created inside the group.

How to use

  1. Right click on active document or on existing group in the Tree View and select Create Group...
  2. Drag-n-drop objects into the group

Group with objects.png

Options

  • To rename the group select a group and press F2, or right click a group and select Rename

Properties

  • DataLabel: Name of the group

Scripting

Following command adds new group to the active document:

App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

Links